[arch-commits] Commit in linux/trunk (linux.install)

Tobias Powalowski tpowa at archlinux.org
Sat Jul 23 21:00:46 UTC 2011


    Date: Saturday, July 23, 2011 @ 17:00:45
  Author: tpowa
Revision: 132375

fix-absolute-paths-in-install-scriptlet.patch 

Modified:
  linux/trunk/linux.install

---------------+
 linux.install |   21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

Modified: linux.install
===================================================================
--- linux.install	2011-07-23 19:42:07 UTC (rev 132374)
+++ linux.install	2011-07-23 21:00:45 UTC (rev 132375)
@@ -7,15 +7,14 @@
 post_install () {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  /sbin/depmod ${KERNEL_VERSION} 
+  depmod ${KERNEL_VERSION}
   echo ">>> Generating initial ramdisk, using mkinitcpio.  Please wait..."
-  /sbin/mkinitcpio -p linux${KERNEL_NAME}
+  mkinitcpio -p linux${KERNEL_NAME}
 
   # add compat symlinks for the initramfs images
-  ln -sf initramfs-linux${KERNEL_NAME}.img \
-  	  ${pkgdir}/boot/kernel26${KERNEL_NAME}.img
+  ln -sf initramfs-linux${KERNEL_NAME}.img boot/kernel26${KERNEL_NAME}.img
   ln -sf initramfs-linux${KERNEL_NAME}-fallback.img \
-  	  ${pkgdir}/boot/kernel26${KERNEL_NAME}-fallback.img
+    boot/kernel26${KERNEL_NAME}-fallback.img
 }
 
 post_upgrade() {
@@ -37,8 +36,8 @@
     echo ">>>"
   fi
 
-  if grep "^[^#]*[[:space:]]/boot" /etc/fstab 2>&1 >/dev/null; then
-    if ! grep "[[:space:]]/boot" /etc/mtab 2>&1 >/dev/null; then
+  if grep "^[^#]*[[:space:]]/boot" etc/fstab 2>&1 >/dev/null; then
+    if ! grep "[[:space:]]/boot" etc/mtab 2>&1 >/dev/null; then
       echo "WARNING: /boot appears to be a seperate partition but is not mounted"
       echo "         This is most likely not what you want.  Please mount your /boot"
       echo "         partition and reinstall the kernel unless you are sure this is OK"
@@ -47,13 +46,13 @@
 
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  /sbin/depmod ${KERNEL_VERSION}
+  depmod ${KERNEL_VERSION}
   echo ">>> Generating initial ramdisk, using mkinitcpio.  Please wait..."
-  /sbin/mkinitcpio -p linux${KERNEL_NAME}
+  mkinitcpio -p linux${KERNEL_NAME}
 }
 
 post_remove() {
   # also remove the compat symlinks
-  rm -f /boot/{initramfs-linux,kernel26}${KERNEL_NAME}.img
-  rm -f /boot/{initramfs-linux,kernel26}${KERNEL_NAME}-fallback.img
+  rm -f boot/{initramfs-linux,kernel26}${KERNEL_NAME}.img
+  rm -f boot/{initramfs-linux,kernel26}${KERNEL_NAME}-fallback.img
 }




More information about the arch-commits mailing list